Service announcements  RSS

2018-01-31 14:58: Joomla! 3.8.4 security update
Joomla! 3.8.4 was announced yesterday as a security update for all previous Joomla! editions.

If you're using Joomla! 3.8.3 or older versions, you must upgrade immediately.

Source: joomla.org

All service announcements

© 2018 Domeneshop AS · About us · Terms · Privacy policy